Multivariate Pattern Analysis in Python

### Navigation

- index
- modules |
- modules |
- PyMVPA Home |
- Sitemap »

# mvpa2.clfs.knn

k-Nearest-Neighbour classifier.

Functions

`accepts_dataset_as_samples`(fx) | Decorator to extract samples from Datasets.
`indent_doc`(v) | Given a `value` returns a string where each line is indented
`squared_euclidean_distance`(data1[, data2, ...]) | Compute weighted euclidean distance matrix between two datasets.

Classes

`Classifier`([space]) | Abstract classifier class to be inherited by all classifiers ..
`ConditionalAttribute`([enabled]) | Simple container intended to conditionally store the value ..
`Dataset`(samples[, sa, fa, a]) | Generic storage class for datasets with multiple attributes.
`kNN`([k, dfx, voting]) | k-Nearest-Neighbour classifier.

### Navigation

- index
- modules |
- modules |
- PyMVPA Home |
- Sitemap »